alsa-tools-1.0.28

Introduction to ALSA Tools

The ALSA Tools package contains advanced tools for certain sound cards.

This package is known to build using an LFS 7.6 platform but has not been tested.

Package Information

ALSA Tools Dependencies

Required

alsa-lib-1.0.28

Optional

GTK+-2.24.24 (to build echomixer, envy24control and rmedigicontrol), GTK+-3.14.1 (to build hdajackretask) and FLTK-1.3.2 (to build hdspconf and hdspmixer)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/alsa-tools

Installation of ALSA Tools

[Note]

Note

When installing multiple packages in a script, the installation needs to be done as the root user. There are three general options that can be used to do this:

  1. Run the entire script as the root user (not recommended).

  2. Use the sudo command from the Sudo-1.8.11 package.

  3. Use su -c "command arguments" (quotes required) which will ask for the root password for every iteration of the loop.

One way to handle this situation is to create a short bash function that automatically selects the appropriate method. Once the command is set in the environment, it does not need to be set again.

as_root()
{
  if   [ $EUID = 0 ];        then $*
  elif [ -x /usr/bin/sudo ]; then sudo $*
  else                            su -c \\"$*\\"
  fi
}

export -f as_root

First, start a subshell that will exit on error:

bash -e

Now, remove a tool that needs Qt2 or 3 and two unneed files (for the BLFS instructions below):

rm -rf qlo10k1 Makefile gitcompile

The ALSA Tools package is only needed by those with advanced requirements for their sound card. The tools can be built all together at once, but if only a subset is needed, you need to cd into the directory of each tool you wish to compile and run the commands. Here, we present instructions to build all tools.

Install all ALSA Tools by running the following commands:

for tool in *
do
  case $tool in
    seq )
      tool_dir=seq/sbiload
    ;;
    * )
      tool_dir=$tool
    ;;
  esac

  pushd $tool_dir
    ./configure --prefix=/usr
    make
    as_root make install
    as_root /sbin/ldconfig
  popd

done
unset tool tool_dir

Finally, exit the shell that was started earlier:

exit

Contents

Installed Programs: as10k1, cspctl, dl10k1, echomixer, envy24control, hdajackretask, hda-verb, hdspconf, hdsploader, hdspmixer, hwmixvolume, init_audigy, init_audigy_eq10, init_live, lo10k1, ld10k1, ld10k1d, mixartloader, pcxhrloader, qlo10k1 (broken, needs Qt2 or 3), rmedigicontrol, sbiload, sscape_ctl, us428control, usx2yloader and vxloader
Installed Library: liblo10k1.so
Installed Directories: /usr/include/lo10k1, /usr/share/ld10k1 and /usr/share/sounds

Short Descriptions

as10k1

is an assembler for the emu10k1 DSP chip present in the Creative SB Live, PCI 512, and emu APS sound cards. It is used to make audio effects such as a flanger, chorus or reverb.

cspctl

is an SB16/AWE32 Creative Signal Processor (ASP/CSP) control program.

echomixer

is the Linux equivalent of the Echoaudio console application from Echoaudio. It is a tool to control all the features of any Echoaudio soundcard. This includes clock sources, input and output gains, mixers, etc.

envy24control

is a control tool for Envy24 (ice1712) based sound cards.

hdspconf

is a GUI to control the Hammerfall HDSP Alsa Settings. Up to four hdsp cards are supported.

hdsploader

is used to load the firmware required by the Hammerfall HDSP sound cards.

hdspmixer

is the Linux equivalent of the Totalmix application from RME. It is a tool to control the advanced routing features of the RME Hammerfall DSP soundcard series.

ld10k1

is the server of a EMU10K{1,2} patch loader for ALSA.

lo10k1

is the client of a EMU10K{1,2} patch loader for ALSA.

dl10k1

loads config dumps generated by lo10k1 and ld10k1.

ld10k1d

is an init script for the ld10k1 patch loader.

qlo10k1

is a Qt GUI for the ld10k1 patch loader.

mixartloader

is a helper program to load the firmware binaries onto the Digigram's miXart board sound drivers. The following modules require this program: snd-mixart. These drivers don't work properly at all until the certain firmwares are loaded, i.e. no PCM nor mixer devices will appear.

pcxhrloader

is a helper program to load the firmware binaries onto Digigram's pcxhr compatible board sound drivers. The following modules require this program: snd-pcxhr. These drivers don't work properly at all until the certain firmwares are loaded, i.e. no PCM nor mixer devices will appear.

rmedigicontrol

is a control tool for RME Digi32 and RME Digi96 sound cards. It provides a graphical frontend for all the sound card controls and switches.

sbiload

is an OPL2/3 FM instrument loader for the ALSA sequencer.

sscape_ctl

is an ALSA SoundScape control utility.

us428control

is a Tascam US-428 control program.

usx2yloader

is a helper program to load the 2nd Phase firmware binaries onto the Tascam USX2Y USB sound cards. It has proven to work so far for the US122, US224 and US428. The snd-usb-usx2y module requires this program.

vxloader

is a helper program to load the firmware binaries onto the Digigram's VX-board sound drivers. The following modules require this program: snd-vx222, snd-vxpocket, snd-vxp440. These drivers don't work properly at all until the certain firmwares are loaded, i.e. no PCM nor mixer devices will appear.

Last updated on 2014-09-18 21:33:53 +0000